Package org.apache.lucene.util

## Enum FileDeleter.MsgType

- java.lang.Object
- - java.lang.Enum<FileDeleter.MsgType>
  - - org.apache.lucene.util.FileDeleter.MsgType

- All Implemented Interfaces:
    `Serializable`, `Comparable<FileDeleter.MsgType>`
  Enclosing class:
    FileDeleter

      public static enum FileDeleter.MsgType
      extends Enum<FileDeleter.MsgType>

  Types of messages this file deleter will broadcast REF: messages about reference FILE: messages about file

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FILE` |
    `REF` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FileDeleter.MsgType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FileDeleter.MsgType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REF

          public static final FileDeleter.MsgType REF

    - #### FILE

          public static final FileDeleter.MsgType FILE

  - ### Method Detail

    - #### values

          public static FileDeleter.MsgType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileDeleter.MsgType c : FileDeleter.MsgType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileDeleter.MsgType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null